# -*- coding: utf-8 -*-
# Generated by Django 1.11.15 on 2018-10-04 20:17
from __future__ import unicode_literals

import autoslug.fields
from django.db import migrations, models
import django.db.models.deletion
import positions.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('media', '0007_add_original_filename'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='title', unique=True)),
                ('published', models.BooleanField(db_index=True, default=True, help_text='Whether to publish on the site.')),
                ('we_are', models.BooleanField(default=False, help_text='Add to the "We Are" nav menu')),
                ('position', positions.fields.PositionField(default=-1)),
                ('intro_text', models.TextField(blank=True, help_text='Text to show in intro section of category page')),
                ('notes', models.TextField(blank=True, help_text='For internal use')),
                ('intro_image', models.ForeignKey(blank=True, help_text='A full-bleed image shown at top of category pages', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='media.Image')),
            ],
            options={
                'ordering': ('position', 'id'),
                'verbose_name': 'Category',
                'verbose_name_plural': 'Categories',
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=512)),
                ('slug', autoslug.fields.AutoSlugField(editable=True, help_text='A URL-friendly version of the title used in URLs', max_length=512, populate_from='title', unique=True)),
                ('client', models.CharField(blank=True, max_length=255)),
                ('date', models.DateField(blank=True, null=True)),
                ('published', models.BooleanField(db_index=True, default=True, help_text='Whether to publish on the site.')),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('modified', models.DateTimeField(auto_now=True)),
                ('notes', models.TextField(blank=True, help_text='For internal use')),
            ],
            options={
                'ordering': ('-date', 'id'),
                'verbose_name': 'Project',
                'verbose_name_plural': 'Projects',
            },
        ),
        migrations.CreateModel(
            name='ProjectContent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True)),
                ('position', positions.fields.PositionField(default=-1)),
                ('image', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='work_projectcontent_related', related_query_name='work_projectcontents', to='media.Image')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='content', to='work.Project')),
                ('video', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='work_projectcontent_related', related_query_name='work_projectcontents', to='media.Video')),
            ],
            options={
                'ordering': ('project', 'position'),
                'abstract': False,
                'verbose_name': 'Content Item',
            },
        ),
        migrations.CreateModel(
            name='ProjectMembership',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('position', positions.fields.PositionField(default=-1)),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_memberships', to='work.Category')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='category_memberships', to='work.Project')),
            ],
            options={
                'ordering': ('position', 'id'),
            },
        ),
        migrations.AddField(
            model_name='project',
            name='categories',
            field=models.ManyToManyField(related_name='projects', through='work.ProjectMembership', to='work.Category'),
        ),
        migrations.AddField(
            model_name='project',
            name='image',
            field=models.ForeignKey(blank=True, help_text='Representative image used in project lists.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='media.Image'),
        ),
        migrations.AlterUniqueTogether(
            name='projectmembership',
            unique_together=set([('project', 'category')]),
        ),
    ]
